# Dit script maakt gebruik van de DHT11-sensor en het ldc-1602 display
# die middels I2C met de Raspberry Pi verbonden is.
# Kijk voor het hele project op: www.picademie.nl
# https://www.picademie.nl/index.php/2022/02/06/temperatuur-vochtigheid-op-lcd/

# Importeer Adafruit DHT bibliotheek.
import Adafruit_DHT
import lcddriver
import time

display = lcddriver.lcd()

humidity, temperature = Adafruit_DHT.read_retry(Adafruit_DHT.DHT11, 4)

temperatuur = round(temperature, 2)
vochtigheid = round(humidity, 2)

t = 'Temp  = {0:0.1f}C'.format(temperatuur)
v = 'Vocht = {0:0.1f}%'.format(vochtigheid)

if humidity is not None and temperature is not None:
#  print '\nTemperatuur = {0:0.1f}*C  Luchtvochtigheid = {1:0.1f}%\n'.format(temperatuur, vochtigheid)
  print '\nTemperatuur      = {0:0.1f}C'.format(temperatuur)
  print 'Luchtvochtigheid = {0:0.1f}%\n'.format(vochtigheid)

  display.lcd_clear() # display wissen

  display.lcd_display_string(t, 1) # temperatuur op regel 1
  display.lcd_display_string(v, 2) # vochtigheid op regel 2

#  time.sleep(2) #

else:
  print 'Kan de sensor niet uitlezen!'

